# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`dhcp`](#dhcp): This class provides an input selector for configuring the DHCP server or client.  The client portion has not yet been implemented.
* [`dhcp::dhcpd`](#dhcpdhcpd): This class is used to start dhcpd and create dhcpd.conf

## Classes

### dhcp

This class provides an input selector for configuring the DHCP
server or client.

The client portion has not yet been implemented.

#### Parameters

The following parameters are available in the `dhcp` class.

##### `is_client`

Data type: `Boolean`



Default value: `false`

##### `is_server`

Data type: `Boolean`



Default value: `true`

### dhcp::dhcpd

This class is used to start dhcpd and create dhcpd.conf

#### Parameters

The following parameters are available in the `dhcp::dhcpd` class.

##### `rsync_server`

Data type: `String`

The address of the server from which to pull the DHCPD
configuration.

Default value: simplib::lookup('simp_options::rsync::server', { 'default_value' => '127.0.0.1' })

##### `rsync_timeout`

Data type: `Stdlib::Compat::Integer`

The connection timeout when communicating with the rsync server.

Default value: simplib::lookup('simp_options::rsync::timeout', { 'default_value' => '2' })

##### `firewall`

Data type: `Boolean`

Whether or not to include the SIMP iptables class.

Default value: simplib::lookup('simp_options::firewall', { 'default_value' => false })

##### `logrotate`

Data type: `Boolean`

Whether or not to include the SIMP logrotate class.

Default value: simplib::lookup('simp_options::logrotate', { 'default_value' => false })

##### `syslog`

Data type: `Boolean`

Whether or not to include the SIMP rsyslog class.

Default value: simplib::lookup('simp_options::syslog', { 'default_value' => false })

##### `package_ensure`

Data type: `String`

The ensure status of the dhcp package

Default value: simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })

##### `rsync_source`

Data type: `String`



Default value: "dhcpd_${::environment}_${facts['os']['name']}/dhcpd.conf"

